.measurement-block {
  padding: 0 12px;

  .weak-password {
    --background: var(--ion-color-danger-light);
    --progress-background: var(--ion-color-danger);
    color: var(--ion-color-danger);
  }
  
  .okay-password {
    --background: var(--ion-color-warning-light);
    --progress-background: var(--ion-color-warning);
    color: var(--ion-color-warning);
  }
  
  .good-password {
    --background: var(--ion-color-success-light);
    --progress-background: var(--ion-color-success);
    color: var(--ion-color-success);
  }
  
  .strong-password {
    --background: var(--ion-color-secondary-light);
    --progress-background: var(--ion-color-secondary);
    color: var(--ion-color-secondary);
  }

  .measurement-note {
    padding: 3px 0;
    font-size: 12px;
  }
}
